
%global meadversion 3.4.10
%global namedversion 3.4.10.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package apache-cxf}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.4.10.redhat-00001

Name:           %{?scl_prefix}apache-cxf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache CXF
Group:          Development/Java

%if %with mead
Source100: cxf-3.4.10.redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://cxf.apache.org
Provides:       %{?scl_prefix}cxf = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache CXF is an open-source services framework that aids in the
development of services using front-end programming APIs, like JAX-WS and
JAX-RS.

%package rt
Summary:        Apache CXF Runtime
Group:          Development/Java

Provides:       %{?scl_prefix}cxf-rt = %{epoch}:%{version}-%{release}

%description rt
This package contains core feature set of Apache CXF;
web service standards support, frontends, and protocols
support.

%package services
Summary:        Apache CXF Services
Group:          Development/Java

Provides:       %{?scl_prefix}cxf-services = %{epoch}:%{version}-%{release}

%description services
This package contains Apache CXF WSN services.

%package tools
Summary:        Apache CXF Tools
Group:          Development/Java

Provides:       %{?scl_prefix}cxf-tools = %{epoch}:%{version}-%{release}

%description tools
Apache CXF Command Line Tools.

%if %with javadoc
%package javadoc
Summary:        Javadoc for cxf
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n cxf-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/cxf-core-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-tools-common-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-tools-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-tools-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-tools-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-tools-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-tools-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-tools-validator-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-tools-validator-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-tools-validator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-tools-validator-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-tools-validator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-tools-validator-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-core-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-tools-java2ws-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-tools-java2ws-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-tools-java2ws-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-tools-java2ws-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-tools-java2ws-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-tools-java2ws-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-wsdl-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-wsdl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-wsdl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-wsdl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-wsdl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-wsdl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-transports-local-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-transports-local-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-transports-local-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-transports-local-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-transports-local-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-transports-local-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-databinding-jaxb-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-databinding-jaxb-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-databinding-jaxb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-databinding-jaxb-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-databinding-jaxb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-databinding-jaxb-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-databinding-aegis-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-databinding-aegis-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-databinding-aegis-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-databinding-aegis-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-databinding-aegis-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-databinding-aegis-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-soap-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-bindings-soap-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-soap-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-bindings-soap-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-soap-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-bindings-soap-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-xml-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-bindings-xml-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-xml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-bindings-xml-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-xml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-bindings-xml-%{namedversion}-sources.jar
#extra jars not needed in EAP (JBEAP-15402)
%if 0
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-corba-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-bindings-corba-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-corba-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-bindings-corba-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-corba-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-bindings-corba-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-coloc-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-bindings-coloc-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-coloc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-bindings-coloc-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-bindings-coloc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-bindings-coloc-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-features-clustering-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-features-clustering-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-features-clustering-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-features-clustering-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-features-clustering-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-features-clustering-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-features-logging-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-features-logging-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-features-logging-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-features-logging-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-features-logging-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-features-logging-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-frontend-simple-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-frontend-simple-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-frontend-simple-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-frontend-simple-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-frontend-simple-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-frontend-simple-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-frontend-jaxws-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-frontend-jaxws-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-frontend-jaxws-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-frontend-jaxws-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-frontend-jaxws-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-frontend-jaxws-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-transports-http-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-transports-http-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-transports-http-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-transports-http-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-transports-http-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-transports-http-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-transports-http-hc-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-transports-http-hc-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-transports-http-hc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-transports-http-hc-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-transports-http-hc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-transports-http-hc-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-transports-jms-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-transports-jms-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-transports-jms-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-transports-jms-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-transports-jms-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-transports-jms-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-ws-policy-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-ws-policy-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-ws-policy-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-ws-policy-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-ws-policy-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-ws-policy-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-ws-addr-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-ws-addr-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-ws-addr-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-ws-addr-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-ws-addr-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-ws-addr-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-ws-security-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-ws-security-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-ws-security-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-ws-security-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-ws-security-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-ws-security-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-ws-rm-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-ws-rm-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-ws-rm-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-ws-rm-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-ws-rm-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-ws-rm-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-ws-mex-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-ws-mex-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-ws-mex-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-ws-mex-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-ws-mex-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-ws-mex-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-management-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-management-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-management-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-management-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-management-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-management-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-security-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-security-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-security-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-security-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-security-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-security-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-rt-security-saml-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-rt-security-saml-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-rt-security-saml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-rt-security-saml-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-rt-security-saml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-rt-security-saml-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-services-sts-core-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-services-sts-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-services-sts-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-services-sts-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-services-sts-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-services-sts-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-services-ws-discovery-api-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-services-ws-discovery-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-services-ws-discovery-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-services-ws-discovery-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-services-ws-discovery-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-services-ws-discovery-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/cxf-%{namedversion}
unzip -qq %{_sourcedir}/cxf-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/cxf-%{namedversion} -x META-INF/\*
%{__ln_s} cxf-%{namedversion} %{buildroot}%{_javadocdir}/cxf
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILDING.txt KEYS README.md
#
%{_javadir}/cxf-core-%{namedversion}.jar
%{_javadir}/cxf-core.jar
%{_javadir}/cxf-core-%{namedversion}-sources.jar
%{_javadir}/cxf-core-sources.jar
#
%if 0
%{_javadir}/cxf-codegen-plugin-%{namedversion}.jar
%{_javadir}/cxf-codegen-plugin.jar
%{_javadir}/cxf-java2ws-plugin-%{namedversion}.jar
%{_javadir}/cxf-java2ws-plugin.jar
%endif

%files rt
%defattr(0644,root,root,0755)
%{_javadir}/cxf-rt-bindings-coloc-%{namedversion}.jar
%{_javadir}/cxf-rt-bindings-coloc.jar
%{_javadir}/cxf-rt-bindings-coloc-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-bindings-coloc-sources.jar
%if 0
%{_javadir}/cxf-rt-bindings-corba-%{namedversion}.jar
%{_javadir}/cxf-rt-bindings-corba.jar
%{_javadir}/cxf-rt-bindings-corba-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-bindings-corba-sources.jar
%endif
%{_javadir}/cxf-rt-bindings-soap-%{namedversion}.jar
%{_javadir}/cxf-rt-bindings-soap.jar
%{_javadir}/cxf-rt-bindings-soap-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-bindings-soap-sources.jar
%{_javadir}/cxf-rt-bindings-xml-%{namedversion}.jar
%{_javadir}/cxf-rt-bindings-xml.jar
%{_javadir}/cxf-rt-bindings-xml-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-bindings-xml-sources.jar
%if 0
%{_javadir}/cxf-rt-core-%{namedversion}.jar
%{_javadir}/cxf-rt-core.jar
%endif
%{_javadir}/cxf-rt-databinding-aegis-%{namedversion}.jar
%{_javadir}/cxf-rt-databinding-aegis.jar
%{_javadir}/cxf-rt-databinding-aegis-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-databinding-aegis-sources.jar
%{_javadir}/cxf-rt-databinding-jaxb-%{namedversion}.jar
%{_javadir}/cxf-rt-databinding-jaxb.jar
%{_javadir}/cxf-rt-databinding-jaxb-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-databinding-jaxb-sources.jar
%if 0
%{_javadir}/cxf-rt-databinding-jibx-%{namedversion}.jar
%{_javadir}/cxf-rt-databinding-jibx.jar
%endif
%{_javadir}/cxf-rt-features-clustering-%{namedversion}.jar
%{_javadir}/cxf-rt-features-clustering.jar
%{_javadir}/cxf-rt-features-clustering-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-features-clustering-sources.jar
%{_javadir}/cxf-rt-features-logging-%{namedversion}.jar
%{_javadir}/cxf-rt-features-logging.jar
%{_javadir}/cxf-rt-features-logging-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-features-logging-sources.jar
%{_javadir}/cxf-rt-frontend-jaxws-%{namedversion}.jar
%{_javadir}/cxf-rt-frontend-jaxws.jar
%{_javadir}/cxf-rt-frontend-jaxws-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-frontend-jaxws-sources.jar
%if 0
%{_javadir}/cxf-rt-frontend-js-%{namedversion}.jar
%{_javadir}/cxf-rt-frontend-js.jar
%endif
%{_javadir}/cxf-rt-frontend-simple-%{namedversion}.jar
%{_javadir}/cxf-rt-frontend-simple.jar
%{_javadir}/cxf-rt-frontend-simple-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-frontend-simple-sources.jar
%if 0
%{_javadir}/cxf-rt-javascript-%{namedversion}.jar
%{_javadir}/cxf-rt-javascript.jar
%endif
%{_javadir}/cxf-rt-management-%{namedversion}.jar
%{_javadir}/cxf-rt-management.jar
%{_javadir}/cxf-rt-management-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-management-sources.jar
%{_javadir}/cxf-rt-security-%{namedversion}.jar
%{_javadir}/cxf-rt-security.jar
%{_javadir}/cxf-rt-security-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-security-sources.jar
#
%{_javadir}/cxf-rt-security-saml-%{namedversion}.jar
%{_javadir}/cxf-rt-security-saml.jar
%{_javadir}/cxf-rt-security-saml-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-security-saml-sources.jar
%{_javadir}/cxf-rt-transports-http-hc-%{namedversion}.jar
%{_javadir}/cxf-rt-transports-http-hc.jar
%{_javadir}/cxf-rt-transports-http-hc-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-transports-http-hc-sources.jar
#
%{_javadir}/cxf-rt-transports-http-%{namedversion}.jar
%{_javadir}/cxf-rt-transports-http.jar
%{_javadir}/cxf-rt-transports-http-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-transports-http-sources.jar
%{_javadir}/cxf-rt-transports-jms-%{namedversion}.jar
%{_javadir}/cxf-rt-transports-jms.jar
%{_javadir}/cxf-rt-transports-jms-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-transports-jms-sources.jar
%{_javadir}/cxf-rt-transports-local-%{namedversion}.jar
%{_javadir}/cxf-rt-transports-local.jar
%{_javadir}/cxf-rt-transports-local-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-transports-local-sources.jar
%if 0
%{_javadir}/cxf-rt-transports-udp-%{namedversion}.jar
%{_javadir}/cxf-rt-transports-udp.jar
%endif
%{_javadir}/cxf-rt-ws-addr-%{namedversion}.jar
%{_javadir}/cxf-rt-ws-addr.jar
%{_javadir}/cxf-rt-ws-addr-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-ws-addr-sources.jar
%{_javadir}/cxf-rt-ws-mex-%{namedversion}.jar
%{_javadir}/cxf-rt-ws-mex.jar
%{_javadir}/cxf-rt-ws-mex-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-ws-mex-sources.jar
%{_javadir}/cxf-rt-ws-policy-%{namedversion}.jar
%{_javadir}/cxf-rt-ws-policy.jar
%{_javadir}/cxf-rt-ws-policy-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-ws-policy-sources.jar
%{_javadir}/cxf-rt-ws-rm-%{namedversion}.jar
%{_javadir}/cxf-rt-ws-rm.jar
%{_javadir}/cxf-rt-ws-rm-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-ws-rm-sources.jar
%if 0
%{_javadir}/cxf-rt-ws-security-jandex-%{namedversion}.jar
%{_javadir}/cxf-rt-ws-security-jandex.jar
%endif
%{_javadir}/cxf-rt-ws-security-%{namedversion}.jar
%{_javadir}/cxf-rt-ws-security.jar
%{_javadir}/cxf-rt-ws-security-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-ws-security-sources.jar
#
%{_javadir}/cxf-rt-wsdl-%{namedversion}.jar
%{_javadir}/cxf-rt-wsdl.jar
%{_javadir}/cxf-rt-wsdl-%{namedversion}-sources.jar
%{_javadir}/cxf-rt-wsdl-sources.jar
#

%files services
%defattr(0644,root,root,0755)
%{_javadir}/cxf-services-sts-core-%{namedversion}.jar
%{_javadir}/cxf-services-sts-core.jar
%{_javadir}/cxf-services-sts-core-%{namedversion}-sources.jar
%{_javadir}/cxf-services-sts-core-sources.jar
%{_javadir}/cxf-services-ws-discovery-api-%{namedversion}.jar
%{_javadir}/cxf-services-ws-discovery-api.jar
%{_javadir}/cxf-services-ws-discovery-api-%{namedversion}-sources.jar
%{_javadir}/cxf-services-ws-discovery-api-sources.jar
%if 0
%{_javadir}/cxf-services-ws-discovery-service-%{namedversion}.jar
%{_javadir}/cxf-services-ws-discovery-service.jar
%endif
%if 0
%{_javadir}/cxf-services-wsn-api-%{namedversion}.jar
%{_javadir}/cxf-services-wsn-api.jar
%endif
%if 0
%{_javadir}/cxf-services-xkms-client-%{namedversion}.jar
%{_javadir}/cxf-services-xkms-client.jar
%endif
%if 0
%{_javadir}/cxf-services-xkms-common-%{namedversion}.jar
%{_javadir}/cxf-services-xkms-common.jar
%endif
%if 0
%{_javadir}/cxf-services-xkms-osgi-%{namedversion}.jar
%{_javadir}/cxf-services-xkms-osgi.jar
%endif
%if 0
%{_javadir}/cxf-services-xkms-service-%{namedversion}.jar
%{_javadir}/cxf-services-xkms-service.jar
%endif
%if 0
%{_javadir}/cxf-services-xkms-x509-handlers-%{namedversion}.jar
%{_javadir}/cxf-services-xkms-x509-handlers.jar
%endif

%files tools
%defattr(0644,root,root,0755)
%{_javadir}/cxf-tools-common-%{namedversion}.jar
%{_javadir}/cxf-tools-common.jar
%{_javadir}/cxf-tools-common-%{namedversion}-sources.jar
%{_javadir}/cxf-tools-common-sources.jar
%{_javadir}/cxf-tools-java2ws-%{namedversion}.jar
%{_javadir}/cxf-tools-java2ws.jar
%{_javadir}/cxf-tools-java2ws-%{namedversion}-sources.jar
%{_javadir}/cxf-tools-java2ws-sources.jar
%{_javadir}/cxf-tools-validator-%{namedversion}.jar
%{_javadir}/cxf-tools-validator.jar
%{_javadir}/cxf-tools-validator-%{namedversion}-sources.jar
%{_javadir}/cxf-tools-validator-sources.jar

%{_javadir}/cxf-tools-wsdlto-core-%{namedversion}.jar
%{_javadir}/cxf-tools-wsdlto-core.jar
%{_javadir}/cxf-tools-wsdlto-core-%{namedversion}-sources.jar
%{_javadir}/cxf-tools-wsdlto-core-sources.jar
%{_javadir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}.jar
%{_javadir}/cxf-tools-wsdlto-databinding-jaxb.jar
%{_javadir}/cxf-tools-wsdlto-databinding-jaxb-%{namedversion}-sources.jar
%{_javadir}/cxf-tools-wsdlto-databinding-jaxb-sources.jar
%if 0
%{_javadir}/cxf-tools-wsdlto-frontend-javascript-%{namedversion}.jar
%{_javadir}/cxf-tools-wsdlto-frontend-javascript.jar
%endif
%{_javadir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}.jar
%{_javadir}/cxf-tools-wsdlto-frontend-jaxws.jar
%{_javadir}/cxf-tools-wsdlto-frontend-jaxws-%{namedversion}-sources.jar
%{_javadir}/cxf-tools-wsdlto-frontend-jaxws-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/cxf-%{namedversion}
%{_javadocdir}/cxf
%endif

%changelog
* Wed Feb 28 2024 Harsha Cherukuri <hcheruku@redhat.com> - 3.4.10-2.redhat_00001.1
- Wrapper build 3.4.10.redhat-00001

* Tue Jan 10 2023 Harsha Cherukuri <hcheruku@redhat.com> - 3.4.10-1.redhat_00001.1
- Building new wrapper for 3.4.10.redhat-00001

* Wed Oct 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.4.7-1.redhat_00001.1
- Built by CPaaS

* Wed Jun 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.3.13-1.redhat_00001.1
Built by CPaaS



* Wed Jun 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.3.12-1.redhat_00001.1
Built by CPaaS



* Wed Oct 06 2021 cpaas-ops <cpaas-ops@redhat.com> - 3.3.12-1.redhat_00001.1
-Built by CPaaS

* Wed Mar 03 2021 Yong Yang <yyang@redhat.com> - 3.3.9-1.redhat_00001.1
- RPM wrapper build 3.3.9.redhat-00001

* Fri Aug 07 2020 Yong Yang <yyang@redhat.com> - 3.3.7-1.redhat_00001.1
- RPM wrapper build 3.3.7.redhat-00001

* Wed Jun 03 2020 Yong Yang <yyang@redhat.com> - 3.3.6-1.redhat_00001.1
- RPM wrapper build 3.3.6.redhat-00001

* Fri Mar 27 2020 Yong Yang <yyang@redhat.com> - 3.3.5-1.redhat_00001.1
-  3.3.5.redhat-00001 

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 3.3.4-2.redhat_00001.1
- RPM wrapper build 3.3.5.redhat-00001

* Fri Nov 15 2019 Yong Yang <yyang@redhat.com> - 3.3.4-1.redhat_00001.1
- RPM wrapper build 3.3.4.redhat-00001

* Mon Sep 23 2019 Yong Yang <yyang@redhat.com> - 3.3.3-1.redhat_00001.1
- RPM wrapper build 3.3.3.redhat-00001

* Fri Sep 20 2019 Yong Yang <yyang@redhat.com> - 3.3.2-2.redhat_00001.1
- RPM wrapper build 3.3.3.redhat-00001

* Mon Jun 17 2019 Permaine Cheung <pcheung@redhat.com> - 3.3.2-1.redhat_00001.1
- 3.3.2.redhat-00001

* Mon Jun 10 2019 Yong Yang <yyang@redhat.com> - 3.2.7-4.redhat_00002.1
- RPM wrapper build

* Fri May 17 2019 Yong Yang <yyang@redhat.com> - 3.2.7-3.redhat_00002.1
- RPM wrapper build

* Thu May 16 2019 Yong Yang <yyang@redhat.com> - 3.2.7-2.redhat_00001.1
- RPM wrapper build

* Fri Sep 21 2018 Permaine Cheung <pcheung@redhat.com> - 3.2.5-3.redhat_00001.1
- Add cxf-rt-features-logging jar

* Tue Sep 11 2018 Permaine Cheung <pcheung@redhat.com> - 3.2.5-2.redhat_00001.1
- Exclude extra jar that is not in EAP (JBEAP-15402)

* Mon Jul 16 2018 Petr Sakar <psakar@redhat.com> - 3.2.5-1.redhat_00001.1
- upgrade to 3.2.5.redhat-00001

* Wed May 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.4-1.redhat_1.1
- upgrade to 3.2.4.redhat-1

* Wed May 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.4-1.redhat_1.1
- upgrade to 3.2.4.redhat-1

* Wed May 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.4-1.redhat_1.1
- upgrade to 3.2.4.redhat-1

* Fri May 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.4-1.redhat_1.1
- upgrade to 3.2.4.redhat-1

* Sat Jan 27 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.1.13-1.redhat_1.1
- upgrade to 3.1.13.redhat-1

* Mon Jul 24 2017 Petr Sakar <psakar@redhat.com> - 3.1.12-1.redhat_1.1
- upgrade to 3.1.12.redhat-1

* Wed Apr 26 2017 Martin Minar <mminar@redhat.com> - 3.1.11-1.redhat_1.1
- update version to 3.1.11

* Thu Feb 23 2017 Martin Minar <mminar@redhat.com> - 3.1.10-1.redhat_1.1
- 

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 3.1.9-1.redhat_1.1
- upgrade to 3.1.9.redhat-1

* Mon Nov 07 2016 Petr Sakar <psakar@redhat.com> - 3.1.8-1.redhat_1.1
- upgrade to 3.1.8.redhat-1

* Tue Aug 30 2016 Filip Kujikis <fkujikis@redhat.com> - 3.1.7-1.redhat_1.1
- https://issues.jboss.org/browse/JBEAP-5386 : upgraded to cxf 3.1.7
- https://issues.jboss.org/browse/JBEAP-2056 : fixed jar manifests

* Tue Aug 16 2016 David Walluck <dwalluck@redhat.com> - 3.1.6-2.redhat_1.1
- add cxf-rt-features-clustering

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.1.6-1.redhat_1.1
- Upgrade to 3.1.6

* Wed Dec 09 2015 Yong Yang <yyang@redhat.com> - 3.1.4-1.redhat_1.1
- 3.1.4

* Wed Nov 04 2015 David Walluck <dwalluck@redhat.com> - 3.1.2-6.redhat_1.1
- update packages

* Mon Nov 02 2015 David Walluck <dwalluck@redhat.com> - 3.1.2-5.redhat_1.1
- create packages based on Fedora scheme

* Wed Sep 30 2015 David Walluck <dwalluck@redhat.com> - 3.1.2-4.redhat_1.1
- release
